package de.ivu.elect.presentation.benutzerverwaltung.table;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.benutzerverwaltung.entity.Benutzer;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Specializes
public class NlBenutzerColumnBuilder extends BenutzerColumnBuilder{
  private static final long serialVersionUID = 1L;


  @Override
  protected List<ColumnEntry< ? super Benutzer>> getColumnEntriesSorted() {
    List<ColumnEntry< ? super Benutzer>> result = new ArrayList<>();

    result.add(benutzerBenutzerkennungColumn);
    result.add(benutzerRollenColumn);
    result.add(benutzerGesperrtColumn);
    result.add(benutzerLetzteAnmeldungColumn);
    result.add(benutzerLoginVersucheColumn);

    return result;
  }

}
